Bug 1066578 (CVE-2014-1878) - CVE-2014-1878 nagios: possible buffer overflows in cmd.cgi
Summary: CVE-2014-1878 nagios: possible buffer overflows in cmd.cgi
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2014-1878
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1066580 1066582
Blocks: 1066579
TreeView+ depends on / blocked
 
Reported: 2014-02-18 16:35 UTC by Vincent Danen
Modified: 2019-09-29 13:13 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:31:42 UTC


Attachments (Terms of Use)

Description Vincent Danen 2014-02-18 16:35:02 UTC
A potential buffer overflow vulnerability was reported in Icinga [1],[2] which could possibly be exploited by remote attackers to cause a denial of service.  This vulnerability is caused due to a boundary error in the cmd_submitf() function.  This code in Icinga originated in Nagios, and a visual inspection of the code indicates Nagios is likewise affected.

CVE-2014-1878 was assigned to Icinga, however given that the code is identical and has the same origin (Nagios is the originator) the same CVE should also apply to Nagios.

This is fixed in Icinga git [3].

[1] https://www.icinga.org/2014/02/11/bugfix-releases-1-10-3-1-9-5-1-8-6/
[2] https://dev.icinga.org/issues/5434
[3] https://dev.icinga.org/projects/icinga-core/repository/revisions/eedf4f7d88cdc50843572224eb38a2f5c78a2dc5

Comment 1 Vincent Danen 2014-02-18 16:38:33 UTC
Created nagios tracking bugs for this issue:

Affects: fedora-all [bug 1066580]
Affects: epel-6 [bug 1066582]


Note You need to log in before you can comment on or make changes to this bug.